/* lib/windows.p
 *
 * select the correct PP to support windows kernel calls
 *
 */

function is64bits returns logical ():				/* thanks to Jeff Ledbetter of Roundtable Software for this gem!	*/

  define variable i1 as int64 no-undo.
  define variable i2 as int64 no-undo.

  define variable m  as memptr no-undo.

  i1 = 0x100000000.						/* Hex value of largest 32-bit unsigned int + 1 */

  set-pointer-value( m ) = i1.

  i2 = get-pointer-value( m ).

  return ( i1 = i2 ).

end.


if opsys begins "win" then
  do:

    if decimal( substring( proversion, 1, index( proversion, "." ) + 1 )) < 11.3 then
      run lib/windows32.p persistent.
     else
      do:
        if is64bits() = true then
          run lib/windows64.p persistent.
         else
          run lib/windows32.p persistent.
      end.

  end.

return.
